
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Couleur &#8212; Documentation Segmentation Image 4.0</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Recherche" href="../search.html" /> 
  </head><body>
<div style="background-color: white; text-align: left; padding: 10px 10px 15px 15px">
  <a href="../index.html">
  <img src="../_static/logo.png" border="0" alt="Segmentation Image"/>
  </a>
</div>

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Code du module</a> &#187;</li> 
      </ul>
    </div>

      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3>Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <h1>Code source de Couleur</h1><div class="highlight"><pre>
<span></span><span class="c1">#####################################</span>
<span class="c1"># Cecile Prouteau</span>
<span class="c1"># CTES Projet Math-Info</span>
<span class="c1"># Projet segmentation d&#39;image</span>
<span class="c1"># 15/01/2019</span>
<span class="c1"># Classe Couleur Version 1.4</span>
<span class="c1">#####################################</span>
<span class="n">coul</span> <span class="o">=</span> <span class="p">{</span><span class="s1">&#39;red&#39;</span><span class="p">:(</span><span class="mi">255</span><span class="p">,</span><span class="mi">0</span><span class="p">,</span><span class="mi">0</span><span class="p">),</span> <span class="s1">&#39;blue&#39;</span><span class="p">:(</span><span class="mi">0</span><span class="p">,</span><span class="mi">0</span><span class="p">,</span><span class="mi">255</span><span class="p">),</span> <span class="s1">&#39;green&#39;</span><span class="p">:(</span><span class="mi">0</span><span class="p">,</span><span class="mi">255</span><span class="p">,</span><span class="mi">0</span><span class="p">),</span> <span class="s1">&#39;yellow&#39;</span><span class="p">:(</span><span class="mi">255</span><span class="p">,</span><span class="mi">255</span><span class="p">,</span><span class="mi">0</span><span class="p">),</span> <span class="s1">&#39;cyan&#39;</span><span class="p">:(</span><span class="mi">0</span><span class="p">,</span><span class="mi">255</span><span class="p">,</span><span class="mi">255</span><span class="p">),</span> <span class="s1">&#39;magenta&#39;</span><span class="p">:(</span><span class="mi">255</span><span class="p">,</span><span class="mi">0</span><span class="p">,</span><span class="mi">255</span><span class="p">)}</span>

<div class="viewcode-block" id="Couleur"><a class="viewcode-back" href="../tec_doc - Copie.html#Couleur.Couleur">[docs]</a><span class="k">class</span> <span class="nc">Couleur</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    </span>
<span class="sd">    **LES CONSTANTES**</span>
<span class="sd">    </span>
<span class="sd"> </span>
<span class="sd">    **Couleurs disponibles pour le coloriage des zones détectées**</span>
<span class="sd">    </span>
<span class="sd">    Le dictionnaire coul associe des noms de couleur au triplet de couleurs RGB codes chacun sur 8 bits.</span>
<span class="sd">    Il contient les couleurs suivantes : </span>
<span class="sd">    &#39;red&#39;(rouge) ; &#39;blue&#39;(bleu) ; &#39;green&#39;(vert) ; &#39;yellow&#39;(jaune) ; &#39;cyan&#39; ; &#39;magenta&#39;</span>
<span class="sd">   </span>
<span class="sd">    </span>
<span class="sd">    **LES METHODES**</span>
<span class="sd">     </span>
<span class="sd">    </span>
<span class="sd">    &quot;&quot;&quot;</span>
    
    <span class="c1">#coul = {&#39;red&#39;:(255,0,0), &#39;blue&#39;:(0,0,255), &#39;green&#39;:(0,255,0), &#39;yellow&#39;:(255,255,0), &#39;cyan&#39;:(0,255,255), &#39;magenta&#39;:(255,0,255)}</span>
    
    
<div class="viewcode-block" id="Couleur.__init__"><a class="viewcode-back" href="../tec_doc - Copie.html#Couleur.Couleur.__init__">[docs]</a>    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">couleur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Constructeur d&#39;un objet Couleur</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Couleur </span>
<span class="sd">        :type self: Couleur</span>
<span class="sd">        </span>
<span class="sd">        :param couleur: chaine de caractère définissant la couleur  </span>
<span class="sd">        :type couleur: string        </span>
<span class="sd">        </span>
<span class="sd">        :return: Objet Couleur</span>
<span class="sd">        :rtype: Couleur</span>
<span class="sd">        </span>
<span class="sd">        Liste des champs de la classe</span>
<span class="sd">        </span>
<span class="sd">        * Couleur.nom nom du dictionnaire</span>
<span class="sd">        * Couleur.RVB_8bits codage RVB sur 3 fois 8 bits (chacune des 3 valeurs est comprise entre 0 et 255)</span>
<span class="sd">        * Couleur_png codage RVB pour format PNG (chacune des 3 valeurs est comprise entre 0 et 1)</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">nom</span><span class="o">=</span><span class="n">couleur</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">RVB_8bits</span><span class="o">=</span><span class="bp">self</span><span class="o">.</span><span class="n">couleur_2_RVB</span><span class="p">(</span><span class="n">couleur</span><span class="p">)</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">RVB_png</span><span class="o">=</span><span class="bp">self</span><span class="o">.</span><span class="n">couleur_2_RVB_png</span><span class="p">(</span><span class="n">couleur</span><span class="p">)</span></div>
        
    <span class="c1">### DEFINITION DES FONCTIONS</span>
    
<div class="viewcode-block" id="Couleur.couleur_2_RVB"><a class="viewcode-back" href="../tec_doc - Copie.html#Couleur.Couleur.couleur_2_RVB">[docs]</a>    <span class="k">def</span> <span class="nf">couleur_2_RVB</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">Couleur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; </span>
<span class="sd">        Fonction convertissant la couleur &#39;Couleur&#39; au format texte provenant de Liste_couleur en un triplet correspondant a son codage RGB.</span>
<span class="sd">        :param self: Objet Application  </span>
<span class="sd">        :type self: Application</span>
<span class="sd">        </span>
<span class="sd">        :param Couleur: Couleur doit être une entrée du dictionnaire coul.  </span>
<span class="sd">        :type Couleur: String</span>
<span class="sd">        </span>
<span class="sd">        :return: code couleur RVB. Triplet d&#39;entiers compris entre 0 et 255</span>
<span class="sd">        :rtype: (int,int,int)</span>
<span class="sd">        &quot;&quot;&quot;</span>   
        
        <span class="k">return</span> <span class="n">coul</span><span class="p">[</span><span class="n">Couleur</span><span class="p">]</span></div>
    
<div class="viewcode-block" id="Couleur.couleur_2_RVB_png"><a class="viewcode-back" href="../tec_doc - Copie.html#Couleur.Couleur.couleur_2_RVB_png">[docs]</a>    <span class="k">def</span> <span class="nf">couleur_2_RVB_png</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">Couleur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; </span>
<span class="sd">        Fonction convertissant une couleur au format texte provenant de Liste_couleur en un triplet correspondant a son codage RGB dans une image PNG.</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Application  </span>
<span class="sd">        :type self: Application</span>
<span class="sd">        </span>
<span class="sd">        :param Couleur: Couleur doit être une entrée du dictionnaire coul.  </span>
<span class="sd">        :type Couleur: String</span>
<span class="sd">        </span>
<span class="sd">        :return: code couleur RVB format PNG. Triplet de flottants compris entre 0 et 1</span>
<span class="sd">        :rtype: (float,float,float)</span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="p">(</span><span class="n">rouge</span><span class="p">,</span><span class="n">vert</span><span class="p">,</span><span class="n">bleu</span><span class="p">)</span><span class="o">=</span><span class="n">coul</span><span class="p">[</span><span class="n">Couleur</span><span class="p">]</span>
        <span class="k">return</span> <span class="p">(</span><span class="n">rouge</span><span class="o">/</span><span class="mi">256</span><span class="p">,</span><span class="n">vert</span><span class="o">/</span><span class="mi">256</span><span class="p">,</span><span class="n">bleu</span><span class="o">/</span><span class="mi">256</span><span class="p">)</span></div>
    
<div class="viewcode-block" id="Couleur.couleur_float_2_entier_8bits"><a class="viewcode-back" href="../tec_doc - Copie.html#Couleur.Couleur.couleur_float_2_entier_8bits">[docs]</a>    <span class="k">def</span> <span class="nf">couleur_float_2_entier_8bits</span><span class="p">(</span><span class="n">c</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Converti un flottant compris entre 0 et 1 en entier du format png comme entier entre 0 et 255. Pour faciliter la conversion d&#39;une couleur codée en RVB format PNG en RVB 3 fois 8bits.</span>
<span class="sd">        </span>
<span class="sd">        :param c: doit être un nombre flottant entre 0 et 1.  </span>
<span class="sd">        :type c: float</span>
<span class="sd">        </span>
<span class="sd">        :return: code couleur RVB. Entiers compris entre 0 et 255</span>
<span class="sd">        :rtype: int</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="n">c1</span><span class="o">=</span><span class="nb">int</span><span class="p">(</span><span class="mi">256</span><span class="o">*</span><span class="n">c</span><span class="p">)</span>
        <span class="k">if</span> <span class="n">c1</span><span class="o">&gt;</span><span class="mi">255</span><span class="p">:</span>
            <span class="n">c1</span><span class="o">=</span><span class="mi">255</span>
        <span class="k">return</span> <span class="n">c1</span></div></div>
</pre></div>

          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" >Code du module</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, Cecile Prouteau.
      Créé avec <a href="http://sphinx-doc.org/">Sphinx</a> 1.7.9.
    </div>
  </body>
</html>